<?php
/**
 *
 * @file:UserStatisticsController.php
 * @Date: 2023/6/20
 * @Time: 09:29
 */


namespace Modules\Statistic\Http\Controllers;

use Catch\Base\CatchController;
use Catch\Exceptions\FailedException;
use Illuminate\Http\Request;

use Modules\Statistic\Services\UserStatisticsService;
use Modules\User\Http\Controllers\UserTrait;

class UserStatisticsController extends CatchController
{

    use  UserTrait;
    /**
     *  获取当日数据
     * name: todayData
     * date 2023/06/20 09:45
     */
    public function todayData(Request $request)
    {
        $miniProgramId = $request->input('miniprogram_id',0);
        if ($miniProgramId < 1){
            throw new FailedException("参数错误，小程序id必传");
        }
        $userContext = $this->getUserContext(null);
        $type = 1;
        if( $userContext['loginUserRoles']->contains('company')){
            $type = 2;
        }else if ($userContext['loginUserRoles']->contains('optimizer')){
            $type = 3;
        }
        $uid = $this->getLoginUserId();
        return UserStatisticsService::getTodayData($uid,$miniProgramId,$type);
    }


}
